com.smartgwt.client.widgets.events

## Interface HasDropOverHandlers

- All Superinterfaces:
    com.google.gwt.event.shared.HasHandlers
  All Known Implementing Classes:
    ActiveXControl, AdvancedHiliteEditor, Applet, BatchUploader, BatchUploader, BrowserPlugin, Button, Calendar, CalendarView, Canvas, ColorPicker, ColumnTree, CubeGrid, DataView, DateChooser, DateGrid, DateRangeDialog, Deck, DetailViewer, Dialog, DrawKnob, DrawPane, DynamicForm, EdgedCanvas, EditPane, EditTree, EventCanvas, EventWindow, FacetChart, FieldPicker, FieldPickerWindow, FilterBuilder, FilterClause, Flashlet, FlowLayout, Gauge, GridRenderer, HeaderControl, HiliteEditor, HiliteRule, HLayout, HStack, HTMLFlow, HTMLPane, IButton, IconButton, IconMenuButton, IMenuButton, Img, ImgButton, ImgSectionHeader, ImgSplitbar, ImgTab, IndicatorCanvas, Label, Layout, LayoutSpacer, ListGrid, ListPalette, ListPropertiesDialog, ListPropertiesPane, Menu, MenuBar, MenuButton, MenuPalette, MiniNavControl, MultiFilePicker, MultiGroupDialog, MultiGroupPanel, NavigationBar, NavigationButton, NavPanel, PickListMenu, PortalLayout, Portlet, PrintCanvas, PrintWindow, Progressbar, PropertySheet, RangeSlider, RecordEditor, RibbonBar, RibbonGroup, RichTextEditor, Scrollbar, SearchForm, SectionHeader, SectionStack, SelectionTreeMenu, SimpleTile, Slider, Snapbar, Splitbar, SplitPane, StatefulCanvas, StretchImg, StretchImgButton, SVG, TabBar, TableView, TabSet, TileGrid, TileLayout, TilePalette, Timeline, Toolbar, ToolStrip, ToolStripButton, ToolStripGroup, ToolStripMenuButton, ToolStripResizer, ToolStripSeparator, TransferImgButton, TreeGrid, TreeMenuButton, TreePalette, ViewLoader, VisualBuilder, VLayout, VStack, WidgetCanvas, Window, ZoneCanvas

      public interface HasDropOverHandlers
      extends com.google.gwt.event.shared.HasHandlers

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addDropOverHandler(DropOverHandler handler)` Executed when the compatible dragged object is first moved over this drop target.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addDropOverHandler

          com.google.gwt.event.shared.HandlerRegistration addDropOverHandler(DropOverHandler handler)

      Executed when the compatible dragged object is first moved over this drop target. Your implementation can use this to show a custom visual indication that the object can be dropped here.
      Parameters:
        `handler` - the dropOver handler
      Returns:
        `HandlerRegistration` used to remove this handler